/* eslint-disable no-console */
var counter = 0;

function addPerfTool(renderer) {
  var existingRenderRule = renderer.renderRule.bind(renderer);

  renderer.renderRule = function (rule, props) {
    var timerCounter = "[".concat(++counter, "]");
    console.time(timerCounter); // eslint-disable-line

    var className = existingRenderRule(rule, props);
    console.log("".concat(timerCounter, " ").concat(rule.name || 'anonym'), props); // eslint-disable-line

    console.timeEnd(timerCounter); // eslint-disable-line

    return className;
  };

  return renderer;
}

export default function perf() {
  return addPerfTool;
}